# NAME

gpmath - operating a mathematical function to a GPhys variable.

# USAGE

    % gpmath [options] path@varname[,dimname=pos1[:pos2[:thinning_intv]][,dimname=...]]

# OPTIONS

#### -h,--help

  print this message.

#### -f func, --function func

  function name to operate (optional). Default function name is $0[2..-1].

#### -n name, --name name

  name of the output gphys variable (optional).

#### -l name, --longname name

  long_name attr. of the output gphys variable (optional).

#### -o file, --output file

  output filename (optional). Default output filename is 'gphys.nc'.
  - Commands which operates mathematical functions to a gphys variable are successively installed by linking this sciript as a "gp+[math. func. name]".

# HISTORY

    2005/06/21  S Takehiro  (created)
    2005/07/15  S Takehiro (open_gturl method is used for opening gphys variable)
    2005/08/10  S Takehiro (utilize internal function for printing help message)
    2005/08/21  S Takehiro (global attributes copied to the output file)
    2005/08/23  S Takehiro (common methods to gp* command moved to gpcommon.rb)
    2010/03/10  Y SASAKI (change help block into RD format)